Name:           licq
Version:        1.8.2
Release:        11%{?dist}
License:        GPLv2+
Summary:        Graphical ICQ client with multiple protocols support
URL:            http://www.licq.org
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# ERRATA
# https://github.com/licq-im/licq/commit/65026d68241c4c91e6ee8b063b5499cdbe7da14a.patch
#Patch0:         Add-missing-QObject-for-build.patch
BuildRequires:  qt4-devel
BuildRequires:  boost-devel
BuildRequires:  gpgme-devel
BuildRequires:  libgpg-error-devel 
BuildRequires:  openssl-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libXScrnSaver-devel
BuildRequires:  gettext cmake
BuildRequires:  xosd-devel
BuildRequires:  cdk-devel
BuildRequires:  ncurses-devel
BuildRequires:  gloox-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  gnutls-devel
BuildRequires:  libidn-devel
# fcami - licq calls "play" directly
Requires:       sox

Provides:       %{name}-kde = %{version}-%{release}, %{name}-msn = %{version}-%{release}, %{name}-icqnd = %{version}-%{release}, %{name}-auto-reply = %{version}-%{release}
Obsoletes:      %{name}-kde < 1.6.1, %{name}-msn < 1.6.1, %{name}-icqnd < 1.6.1, %{name}-auto-reply < 1.6.1, %{name}-console < 1.8.0

%description
Licq is a instant messaging client for UNIX supporting multiple 
protocols (currently ICQ, MSN and Jabber). Licq uses a extensive plugin 
system to manage many different functions.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        osd
Summary:        OSD (On Screen Display) plugin for Licq
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    osd
This is a small plugin, which uses libxosd2 to
display new arriving messages as OSD (On Screen Display)
text on your desktop.

%prep
%setup -q
#%patch0 -p1
# remove cvs stuff
rm -frv `find . -name CVS`
# glib 2.22 libm.so change
sed -i 's|libm.so|libm.so.6|g' src/utils/tests/dynamiclibrarytest.cpp

%build
export CFLAGS="%{optflags}"

mkdir build
pushd build
%cmake ..
%make_build
popd

cmakeopts="-DCMAKE_MODULE_PATH=%{_builddir}/%{name}-%{version}/cmake -DLicq_DIR=%{_builddir}/%{name}-%{version}/build/cmake"

pushd plugins/auto-reply
mkdir build
cd build
%cmake $cmakeopts ..
%make_build
popd

pushd plugins/forwarder
mkdir build
cd build
%cmake $cmakeopts ..
%make_build
popd

pushd plugins/icq
mkdir build
cd build
%cmake $cmakeopts ..
%make_build
popd

pushd plugins/jabber
mkdir build
cd build
%cmake $cmakeopts ..
%make_build
popd

pushd plugins/msn
mkdir build
cd build
%cmake $cmakeopts ..
%make_build
popd

pushd plugins/osd
mkdir build
cd build
%cmake $cmakeopts ..
%make_build
popd

pushd plugins/qt4-gui
mkdir build
cd build
%cmake $cmakeopts ..
%make_build
popd

pushd plugins/rms
mkdir build
cd build
%cmake $cmakeopts ..
%make_build
popd

# move some docs
mkdir auto-reply
cp -a plugins/auto-reply/{README,licq_autoreply.conf,examples} auto-reply/
mkdir forwarder
cp -a plugins/forwarder/{README,licq_forwarder.conf} forwarder/
mkdir msn
cp -a plugins/msn/{README,owner.MSN_} msn/
mkdir rms
cp -a plugins/rms/{README,licq_rms.conf} rms/

%install
pushd build
%make_install
popd

pushd plugins/auto-reply/build
%make_install
popd

pushd plugins/forwarder/build
%make_install
popd

pushd plugins/icq/build
%make_install
popd

pushd plugins/jabber/build
%make_install
popd

pushd plugins/msn/build
%make_install
popd

pushd plugins/osd/build
%make_install
%find_lang licq_osd_plugin
popd

pushd plugins/qt4-gui/build
%make_install
desktop-file-install \
        --dir %{buildroot}%{_datadir}/applications         \
        ../share/misc/licq.desktop
%find_lang licq
popd

pushd plugins/rms/build
%make_install
popd

find %{buildroot} -name '*.la' -delete -print

%files -f plugins/qt4-gui/build/licq.lang
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/licq_qt4-gui.so
%{_libdir}/%{name}/protocol_msn.so
%{_libdir}/%{name}/licq_autoreply.so
%{_libdir}/%{name}/licq_forwarder.so
%{_libdir}/%{name}/protocol_icq.so
%{_libdir}/%{name}/protocol_jabber.so
%{_libdir}/%{name}/licq_rms.so
%{_datadir}/licq
%{_datadir}/applications/*licq.desktop
%doc doc/ upgrade/ README* LICENSE licq_gpg.conf
%doc auto-reply forwarder msn rms

%files osd -f plugins/osd/build/licq_osd_plugin.lang
%{_libdir}/%{name}/licq_osd.so
%doc plugins/osd*/{AUTHORS,TODO,README,changelog}

%files devel 
%{_includedir}/*

%changelog
* Mon Aug 24 2015 Christopher Meng <rpm@cicku.me> - 1.8.2-11
- Rebuilt for ncurses-6.0 and gloox 1.0.14

* Wed Jul 29 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.2-10
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 1.8.2-9
- rebuild for Boost 1.58

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.8.2-7
- Rebuilt for GCC 5 C++11 ABI change

* Mon Mar 16 2015 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.8.2-6
- Rebuild for GCC 5

* Sat Mar 14 2015 Pavel Alexeev <Pahan@Hubbitus.info> - 1.8.2-5
- Rebuild for libgloox.so.12

* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 1.8.2-4
- Rebuild for boost 1.57.0

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Aug 13 2014 François Cami <fcami@fedoraproject.org> - 1.8.2-2
- Rebuilt.

* Sun Jun 22 2014 Christopher Meng <rpm@cicku.me> - 1.8.2-1
- Update to 1.8.2

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 1.8.1-5
- Rebuild for boost 1.55.0

* Fri May 23 2014 David Tardon <dtardon@redhat.com> - 1.8.1-4
- rebuild for boost 1.55.0

* Thu Apr 24 2014 Tomáš Mráz <tmraz@redhat.com> - 1.8.1-3
- Rebuild for new libgcrypt

* Thu Dec 19 2013 François Cami <fcami@fedoraproject.org> - 1.8.1-2
- Rawhide bump.

* Mon Nov 04 2013 Christopher Meng <rpm@cicku.me> - 1.8.1-1
- Update to 1.8.1(BZ#1026232).

* Fri Sep 13 2013 Christopher Meng <rpm@cicku.me> - 1.8.0-2
- Add missing icq plugin build due to upstream changes.

* Thu Sep 12 2013 Christopher Meng <rpm@cicku.me> - 1.8.0-1
- New bugfix release introduces support for multiple accounts per protocol.
- Removed console plugin (no longer maintained)

* Mon Aug 05 2013 Christopher Meng <rpm@cicku.me> - 1.7.1-5
- Add devel package.
- Add missing BRs for jabber support(BZ#977150).

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 27 2013 pmachata@redhat.com - 1.7.1-3
- Rebuild for boost 1.54.0

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 1.7.1-2
- Perl 5.18 rebuild

* Sun Jun 02 2013 François Cami <fcami@fedoraproject.org> - 1.7.1-1
- New upstream release.

* Thu Apr 25 2013 Jon Ciesla <limburgher@gmail.com> - 1.7.0-7
- Drop desktop vendor tag.

* Sun Feb 10 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.7.0-6
- Rebuild for Boost-1.53.0

* Sat Feb 09 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.7.0-5
- Rebuild for Boost-1.53.0

* Sat Jan 12 2013 François Cami <fcami@fedoraproject.org> - 1.7.0-4
- add sox as requirement.

* Sat Jan 12 2013 François Cami <fcami@fedoraproject.org> - 1.7.0-3
- Fix deadlock, RHBZ #894247. Thanks to flynd.

* Sat Jan 12 2013 François Cami <fcami@fedoraproject.org> - 1.7.0-2
- Not public - test deadlock fix.

* Wed Jan 9 2013 François Cami <fcami@fedoraproject.org> - 1.7.0-1
- New upstream release. 

* Sun Aug 12 2012 Kevin Fenzi <kevin@scrye.com> - 1.6.1-3
- Rebuild for new boost

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 28 2012 Akira TAGOH <tagoh@redhat.com> - 1.6.1-1
- New upstream release. (#748117, #528534, #726235)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.3.5-11
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 1.3.5-9
- rebuilt with new openssl

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May 23 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 1.3.5-7
- Fix FTBFS: added licq-1.3.5-gcc44.patch
- Do submit patches upstream!

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 17 2009 Tomas Mraz <tmraz@redhat.com> 1.3.5-5
- rebuild with new openssl

* Thu Aug  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.3.5-4
- fix license tag

* Wed Jul  2 2008 Jiri Moskovcak <jmoskovc@redhat.com> 1.3.5-3
- fixed problem with logon to icq server
- Resolves: #453682

* Mon May 12 2008 Jiri Moskovcak <jmoskovc@redhat.com> 1.3.5-2
- fixed possible DoS vulnerability CVE-2008-1996

* Thu Feb 14 2008 Jiri Moskovcak <jmoskovc@redhat.com> 1.3.5-1
- new version
- few minor fixes to make licq compile with gcc 4.3

* Tue Dec 11 2007 Jiri Moskovcak <jmoskovc@redhat.com> 1.3.4-10
- spec file cleanup

* Thu Dec 06 2007 Adam Tkac <atkac redhat com> 1.3.4-9
- rebuild against new openssl

* Mon Nov 26 2007 Jiri Moskovcak <jmoskovc@redhat.com> 1.3.4-8
- fixed sigsegv when new user requested authorization
- Resolves: #389731

* Tue Oct  2 2007 Jiri Moskovcak <jmoskovc@redhat.com> 1.3.4-7
- spec file clean-up removed htmlview from dependencies
- fixed problem with lupdate

* Tue Feb 27 2007 Peter Vrabec <pvrabec@redhat.com> 1.3.4-6
- build

* Tue Feb 27 2007 Peter Vrabec <pvrabec@redhat.com> 1.3.4-5
- run autoconf before icqnd configure

* Mon Feb 26 2007 Peter Vrabec <pvrabec@redhat.com> 1.3.4-4
- fix sources

* Mon Feb 26 2007 Peter Vrabec <pvrabec@redhat.com> 1.3.4-3
- provide new plugins

* Thu Sep 28 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.4-2
- fix desktop-file-install

* Wed Sep 27 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.4-1
- upgrade

* Mon Sep 18 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.2-10
- rebuilt

* Wed Jul 26 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.2-9
- fix build requires (#200120)

* Mon Jun 12 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.2-8
- htmlview is default url viewer(#193959)

* Tue Apr 11 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.2-7
- fix auto away,  it requires libXScrnSaver-devel

* Fri Mar 03 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.2-6
- use correct lib-path for plugins on x86-64 (#182733)

* Mon Feb 27 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.2-5
- rebuild

* Mon Jan 16 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.2-4
- compile on x86-64

* Thu Jan 12 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.2-3
- remove devel stuff with rm -rf

* Thu Jan 12 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.2-2
- compile with gcc-4.1.0

* Wed Nov 23 2005 Peter Vrabec <pvrabec@redhat.com> 1.3.2-1
- initial package
